﻿<%@ Page Title="Home Page" Language="C#" MasterPageFile="~/Site.master" AutoEventWireup="true"
    CodeBehind="Default.aspx.cs" Inherits="RoundPanel.Web._Default" %>
    <%@ Register Src="~/Controls/Login.ascx" TagName="Login" TagPrefix="uc" %>

<asp:Content ID="HeaderContent" runat="server" ContentPlaceHolderID="HeadContent">
    <link href="/Styles/RoundPanel.css" rel="stylesheet" type="text/css" />
</asp:Content>
<asp:Content ID="BodyContent" runat="server" ContentPlaceHolderID="MainContent">
    <h2>
        Welcome to ASP.NET!
    </h2>
    <div>
        <div style="float:left;">
            <controls:RoundPanel ID="pnlLogin" runat="server" Title="Login Panel" Width="425px" CssClass="darkblue">
                <ContentTemplate>
                    <div style=" height:120px;">
                        <uc:Login ID="ucLogin" runat="server" />
                    </div>
                </ContentTemplate>
            </controls:RoundPanel>
       </div>
       <div style="float:right;">
            <controls:RoundPanel ID="RoundPanel1" runat="server" Title="Contact me" Width="425px" CssClass="darkblue">
                <ContentTemplate>
                    <div style="padding:0px; height:120px; overflow:hidden;">
                        <p>
                            Author: Leo
                        </p>
                        <p>
                            Created on: Dec. 17, 2011
                        </p>
                        <p>
                            Contact me: <a href="mailto:leo_2010@msn.cn">leo_2010@msn.cn</a>
                        </p>
                    </div>
                </ContentTemplate>
            </controls:RoundPanel>
       </div>
       <div class="clear"></div>
    </div>
       
        
    <p>&nbsp;</p>
    <controls:RoundPanel ID="pnlGreen" runat="server"  CssClass="green">
        <TitleTemplate>
            <div>
                <div style="float:right">
                    <a href="javascript:void(0)">X</a>
                </div>
                <div style="float:left;"><strong>How to Use</strong></div>
                <div class="clear"></div>
            </div>
        </TitleTemplate>
        <ContentTemplate>
            <div style="color:#888888; line-height:20px;">
                <ul>
                    <li>
                        Reference RoundPanel.dll
                    </li>
                    <li>
                        Add following code to web.config for quick using.
                        <pre>
&lt;system.web&gt;
    &lt;pages&gt;
        &lt;controls&gt;
            &lt;add assembly="RoundPanel" namespace="RoundPanel" tagPrefix="controls"/&gt;
        &lt;/controls&gt;
    &lt;/pages&gt;
&lt;/system.web&gt;
                        </pre>
                    </li>
                    <li>
                        Have a try to write the sample code of the above login panel.
                        <pre>
&lt;controls:RoundPanel ID="pnlLogin" runat="server" Title="Panel Title" Width="400px" CssClass="darkblue"&gt;
    &lt;ContentTemplate&gt;
        &lt;uc:Login ID="ucLogin" runat="server" /&gt;
    &lt;/ContentTemplate&gt;
&lt;/controls:RoundPanel&gt;
                        </pre>
                    </li>
                </ul>
            </div>
        </ContentTemplate>
        <FooterTemplate>
            <div style="text-align:center; padding-top:8px;">
                <input type="button" value="Close" />
            </div>
        </FooterTemplate>
    </controls:RoundPanel>

    <div style="padding:15px 0;">
        <controls:RoundPanel ID="RoundPanel2" runat="server" Title="Other panel" Width="425px" CssClass="gray">
            <ContentTemplate>
                <uc:Login ID="Login1" runat="server" />
            </ContentTemplate>
        </controls:RoundPanel>
    </div>
</asp:Content>
